# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class ContactEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ContactEntry>
                  com.google.gdata.data.extensions.ContactEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

Deprecated. Please use `ContactEntry` instead.

    @Deprecated
    public class ContactEntry

extends BaseEntry<ContactEntry>

Extension class for manipulating entries of the Contact kind.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CONTACT_CATEGORY` Deprecated. Kind category used to label feeds or entries that have Contact extension data.
`static java.lang.String` `CONTACT_KIND` Deprecated. Kind term value for Contact category labels.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ContactEntry()` Deprecated. Constructs a new empty ContactEntry with the appropriate kind category to indicate that it is a contact.
`ContactEntry(BaseEntry<?> sourceEntry)` Deprecated. Constructs a new ContactEntry by doing a shallow copy of data from an existing BaseEntry intance.

Method Summary
`void` `addEmailAddress(Email email)` Deprecated.
`void` `addImAddress(Im im)` Deprecated.
`void` `addLocation(GeoPt geoPt)` Deprecated.
`void` `addPhoneNumber(PhoneNumber phoneNumber)` Deprecated.
`void` `addPostalAddress(PostalAddress postalAddress)` Deprecated.
`void` `declareExtensions(ExtensionProfile extProfile)` Deprecated. Initializes an ExtensionProfile based upon the extensions expected by an ContactEntry.
`java.util.List<Email>` `getEmailAddresses()` Deprecated.
`java.util.List<Im>` `getImAddresses()` Deprecated.
`java.util.List<GeoPt>` `getLocations()` Deprecated.
`Organization` `getOrganization()` Deprecated.
`java.util.List<PhoneNumber>` `getPhoneNumbers()` Deprecated.
`java.util.List<PostalAddress>` `getPostalAddresses()` Deprecated.
`boolean` `isDeleted()` Deprecated.
`void` `setDeleted()` Deprecated.
`void` `setOrganization(Organization org)` Deprecated.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTACT_KIND

    public static final java.lang.String CONTACT_KIND

  Deprecated.
  Kind term value for Contact category labels.

  See Also:
    Constant Field Values

### CONTACT_CATEGORY

    public static final Category CONTACT_CATEGORY

  Deprecated.
  Kind category used to label feeds or entries that have Contact extension data.

Constructor Detail

### ContactEntry

    public ContactEntry()

  Deprecated.
  Constructs a new empty ContactEntry with the appropriate kind category to indicate that it is a contact.

### ContactEntry

    public ContactEntry(BaseEntry<?> sourceEntry)

  Deprecated.
  Constructs a new ContactEntry by doing a shallow copy of data from an existing BaseEntry intance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Deprecated.
  Initializes an ExtensionProfile based upon the extensions expected by an ContactEntry.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getEmailAddresses

    public java.util.List<Email> getEmailAddresses()

  Deprecated.

### addEmailAddress

    public void addEmailAddress(Email email)

  Deprecated.

### getImAddresses

    public java.util.List<Im> getImAddresses()

  Deprecated.

### addImAddress

    public void addImAddress(Im im)

  Deprecated.

### getPhoneNumbers

    public java.util.List<PhoneNumber> getPhoneNumbers()

  Deprecated.

### addPhoneNumber

    public void addPhoneNumber(PhoneNumber phoneNumber)

  Deprecated.

### getPostalAddresses

    public java.util.List<PostalAddress> getPostalAddresses()

  Deprecated.

### addPostalAddress

    public void addPostalAddress(PostalAddress postalAddress)

  Deprecated.

### getOrganization

    public Organization getOrganization()

  Deprecated.

### setOrganization

    public void setOrganization(Organization org)

  Deprecated.

### getLocations

    public java.util.List<GeoPt> getLocations()

  Deprecated.

### addLocation

    public void addLocation(GeoPt geoPt)

  Deprecated.

### setDeleted

    public void setDeleted()

  Deprecated.

### isDeleted

    public boolean isDeleted()

  Deprecated.